using System;

namespace BindingArrayList
{
	/// <summary>
	/// Summary description for Data.
	/// </summary>
	public class Address
	{
		public Address():this("","")
		{}
		public Address(string street, string city)
		{
			this.m_street = street;
			this.m_city = city;
		}
		private string m_street;
		public string Street
		{
			get
			{
				return m_street;
			}
			set
			{
				m_street = value;
			}
		}
		private string m_city;
		public string City
		{
			get
			{
				return m_city;
			}
			set
			{
				m_city = value;
			}
		}

	}

	public class Data
	{
		public Data() : this("", "", "", "",new Address())
		{
		}

		public Data(string cust_Id, string cust_Name, string desc, string other,Address address)
		{
			this.cust_Id = cust_Id;
			this.cust_Name = cust_Name;
			this.desc = desc;
			this.m_Address = address;
			this.other = other;
			
		}


		private string cust_Id;
		public string CustomerID
		{
			get
			{
				return this.cust_Id;
			}
			set
			{
				this.cust_Id = value;
			}
		}


		private string cust_Name;
		public string CustomerName
		{
			get
			{
				return this.cust_Name;
			}
			set
			{
				this.cust_Name = value;
			}
		}


		private string desc;
		public string Description
		{
			get
			{
				return this.desc;
			}
			set
			{
				this.desc = value;
			}
		}


		private Address m_Address;
		public Address Address
		{
			get
			{
				return this.m_Address;
			}
			set
			{
				this.m_Address = value;
			}
		}


		private string other;
		public string OtherInfo
		{
			get
			{
				return this.other;
			}
			set
			{
				this.other = value;
			}
		}

	}
}
